### Method

# Gdk DmabufTextureBuilderset_update_region

since: 4.14

#### Declaration [src]

    void
    gdk_dmabuf_texture_builder_set_update_region (
      GdkDmabufTextureBuilder* self,
      cairo_region_t* region
    )

#### Description [src]

Sets the region to be updated by this texture. Together with `GdkDmabufTextureBuilder:update-texture` this describes an update of a previous texture.

When rendering animations of large textures, it is possible that consecutive textures are only updating contents in parts of the texture. It is then possible to describe this update via these two properties, so that GTK can avoid rerendering parts that did not change.

An example would be a screen recording where only the mouse pointer moves.

Available since: 4.14

Sets property | `Gdk.DmabufTextureBuilder:update-region`

#### Parameters

`region`

  Type: `cairo_region_t`

  The region to update.

  The argument can be `NULL`.
  The data is owned by the caller of the method.